package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 信标日志
 * </p>
 *
 * @author mk
 * @since 2022-08-05
 */
@TableName("beacon_log")
@ApiModel(value="BeaconLog对象", description="信标日志")
public class BeaconLog extends Model<BeaconLog> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "信标名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "信标MAC")
    @TableField("mac")
    private String mac;

    @ApiModelProperty(value = "信标UUID")
    @TableField("uuid")
    private String uuid;

    @ApiModelProperty(value = "信标Major")
    @TableField("major")
    private String major;

    @ApiModelProperty(value = "信标Minor")
    @TableField("minor")
    private String minor;

    @ApiModelProperty(value = "信标广播间隔(ms)")
    @TableField("broadcast_interval")
    private Integer broadcastInterval;

    @ApiModelProperty(value = "信标发射功率(dBm)")
    @TableField("trans_rate")
    private Integer transRate;

    @ApiModelProperty(value = "部署点位横坐标")
    @TableField("coordinate_x")
    private String coordinateX;

    @ApiModelProperty(value = "部署点位纵坐标")
    @TableField("coordinate_y")
    private String coordinateY;

    @ApiModelProperty(value = "部署场景")
    @TableField("scene_name")
    private String sceneName;

    @ApiModelProperty(value = "部署场景id")
    @TableField("scene_id")
    private Long sceneId;

    @ApiModelProperty(value = "场景级别")
    @TableField("scene_level")
    private Integer sceneLevel;

    @ApiModelProperty(value = "操作类型（0：解绑；1：绑定）")
    @TableField("type")
    private Integer type;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getMinor() {
        return minor;
    }

    public void setMinor(String minor) {
        this.minor = minor;
    }

    public Integer getBroadcastInterval() {
        return broadcastInterval;
    }

    public void setBroadcastInterval(Integer broadcastInterval) {
        this.broadcastInterval = broadcastInterval;
    }

    public Integer getTransRate() {
        return transRate;
    }

    public void setTransRate(Integer transRate) {
        this.transRate = transRate;
    }

    public String getCoordinateX() {
        return coordinateX;
    }

    public void setCoordinateX(String coordinateX) {
        this.coordinateX = coordinateX;
    }

    public String getCoordinateY() {
        return coordinateY;
    }

    public void setCoordinateY(String coordinateY) {
        this.coordinateY = coordinateY;
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public Integer getSceneLevel() {
        return sceneLevel;
    }

    public void setSceneLevel(Integer sceneLevel) {
        this.sceneLevel = sceneLevel;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "BeaconLog{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", name=" + name +
        ", mac=" + mac +
        ", uuid=" + uuid +
        ", major=" + major +
        ", minor=" + minor +
        ", broadcastInterval=" + broadcastInterval +
        ", transRate=" + transRate +
        ", coordinateX=" + coordinateX +
        ", coordinateY=" + coordinateY +
        ", sceneName=" + sceneName +
        ", sceneId=" + sceneId +
        ", sceneLevel=" + sceneLevel +
        ", type=" + type +
        "}";
    }
}
